Skip to main content
PUT
/
chat
/
markMessageAsRead
/
{instance}
Mark Message As Read
curl --request PUT \
  --url https://{server-url}/chat/markMessageAsRead/{instance} \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "read_messages": [
    {
      "remoteJid": "<string>",
      "fromMe": true,
      "id": "<string>"
    }
  ]
}
'
{
  "message": "Read messages",
  "read": "success"
}

Documentation Index

Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

Your authorization key header

Path Parameters

instance
string
required

ID of the instance to connect

Body

application/json
read_messages
object[]

Messages to be mark as read

Response

201 - application/json

Created

message
string

A brief message describing the action performed.

read
string

The status of the read action.